Table of Contents

Class: LocalAsRemote | Twisted-0.19.0/twisted/spread/util.py
--- | ---
A class useful for emulating the effects of remote behavior locally.
Methods |
--- | ---
callRemote remoteMethod
| callRemote
    callRemote (
            self,
            name,
            *args,
            *kw,
            )
### Call a specially-designated local method. self.callRemote(`x`) will first try to invoke a method named sync_x and return its result (which should probably be a Deferred). Second, it will look for a method called async_x, which will be called and then have its result (or Failure) automatically wrapped in a Deferred
| remoteMethod
    remoteMethod ( self,  name )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:20 2002 by HappyDoc version 2.0